<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref1.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.ASG.Group.accept - Synopsis.ASG.Visitor.visit_array_type_id</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.ASG.Group.accept - Synopsis.ASG.Visitor.visit_array_type_id</h1><div class="xref-name"><a id="Synopsis.ASG.Group.accept" /><h2 >Method Synopsis.ASG.Group.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Group.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#334">Synopsis/ASG.py:334</a>: in class <a href="../Scopes/Synopsis/ASG/Group.html" >Synopsis.ASG.Group</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Inheritance" /><h2 >Class Synopsis.ASG.Inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Inheritance.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#370">Synopsis/ASG.py:370</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#375">Synopsis/ASG.py:375</a>: Attribute <a href="../Scopes/Synopsis/ASG/Inheritance.html#type" >type</a></li><li ><a href="../Source/Synopsis/ASG.py.html#376">Synopsis/ASG.py:376</a>: Attribute <a href="../Scopes/Synopsis/ASG/Inheritance.html#parent" >parent</a></li><li ><a href="../Source/Synopsis/ASG.py.html#377">Synopsis/ASG.py:377</a>: Attribute <a href="../Scopes/Synopsis/ASG/Inheritance.html#attributes" >attributes</a></li><li ><a href="../Source/Synopsis/ASG.py.html#374">Synopsis/ASG.py:374</a>: Method <a href="../Scopes/Synopsis/ASG/Inheritance.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#379">Synopsis/ASG.py:379</a>: Method <a href="../Scopes/Synopsis/ASG/Inheritance.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Inheritance.__init__" /><h2 >Method Synopsis.ASG.Inheritance.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Inheritance.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#374">Synopsis/ASG.py:374</a>: in class <a href="../Scopes/Synopsis/ASG/Inheritance.html" >Synopsis.ASG.Inheritance</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Inheritance.accept" /><h2 >Method Synopsis.ASG.Inheritance.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Inheritance.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#379">Synopsis/ASG.py:379</a>: in class <a href="../Scopes/Synopsis/ASG/Inheritance.html" >Synopsis.ASG.Inheritance</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Macro" /><h2 >Class Synopsis.ASG.Macro</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Macro.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#292">Synopsis/ASG.py:292</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#300">Synopsis/ASG.py:300</a>: Attribute <a href="../Scopes/Synopsis/ASG/Macro.html#parameters" >parameters</a></li><li ><a href="../Source/Synopsis/ASG.py.html#301">Synopsis/ASG.py:301</a>: Attribute <a href="../Scopes/Synopsis/ASG/Macro.html#text" >text</a></li><li ><a href="../Source/Synopsis/ASG.py.html#297">Synopsis/ASG.py:297</a>: Method <a href="../Scopes/Synopsis/ASG/Macro.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#303">Synopsis/ASG.py:303</a>: Method <a href="../Scopes/Synopsis/ASG/Macro.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Macro.__init__" /><h2 >Method Synopsis.ASG.Macro.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Macro.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#297">Synopsis/ASG.py:297</a>: in class <a href="../Scopes/Synopsis/ASG/Macro.html" >Synopsis.ASG.Macro</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Macro.accept" /><h2 >Method Synopsis.ASG.Macro.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Macro.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#303">Synopsis/ASG.py:303</a>: in class <a href="../Scopes/Synopsis/ASG/Macro.html" >Synopsis.ASG.Macro</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.MetaModule" /><h2 >Class Synopsis.ASG.MetaModule</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/MetaModule.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#359">Synopsis/ASG.py:359</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#365">Synopsis/ASG.py:365</a>: Attribute <a href="../Scopes/Synopsis/ASG/MetaModule.html#module_declarations" >module_declarations</a></li><li ><a href="../Source/Synopsis/ASG.py.html#362">Synopsis/ASG.py:362</a>: Method <a href="../Scopes/Synopsis/ASG/MetaModule.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#367">Synopsis/ASG.py:367</a>: Method <a href="../Scopes/Synopsis/ASG/MetaModule.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.MetaModule.__init__" /><h2 >Method Synopsis.ASG.MetaModule.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/MetaModule.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#362">Synopsis/ASG.py:362</a>: in class <a href="../Scopes/Synopsis/ASG/MetaModule.html" >Synopsis.ASG.MetaModule</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.MetaModule.accept" /><h2 >Method Synopsis.ASG.MetaModule.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/MetaModule.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#367">Synopsis/ASG.py:367</a>: in class <a href="../Scopes/Synopsis/ASG/MetaModule.html" >Synopsis.ASG.MetaModule</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ModifierTypeId" /><h2 >Class Synopsis.ASG.ModifierTypeId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ModifierTypeId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#145">Synopsis/ASG.py:145</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#150">Synopsis/ASG.py:150</a>: Attribute <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#alias" >alias</a></li><li ><a href="../Source/Synopsis/ASG.py.html#151">Synopsis/ASG.py:151</a>: Attribute <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#premod" >premod</a></li><li ><a href="../Source/Synopsis/ASG.py.html#152">Synopsis/ASG.py:152</a>: Attribute <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#postmod" >postmod</a></li><li ><a href="../Source/Synopsis/ASG.py.html#148">Synopsis/ASG.py:148</a>: Method <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#154">Synopsis/ASG.py:154</a>: Method <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#156">Synopsis/ASG.py:156</a>: Method <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#__cmp__" >__cmp__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#162">Synopsis/ASG.py:162</a>: Method <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ModifierTypeId.__cmp__" /><h2 >Method Synopsis.ASG.ModifierTypeId.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#156">Synopsis/ASG.py:156</a>: in class <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html" >Synopsis.ASG.ModifierTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ModifierTypeId.__init__" /><h2 >Method Synopsis.ASG.ModifierTypeId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#148">Synopsis/ASG.py:148</a>: in class <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html" >Synopsis.ASG.ModifierTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ModifierTypeId.__str__" /><h2 >Method Synopsis.ASG.ModifierTypeId.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#162">Synopsis/ASG.py:162</a>: in class <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html" >Synopsis.ASG.ModifierTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ModifierTypeId.accept" /><h2 >Method Synopsis.ASG.ModifierTypeId.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ModifierTypeId.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#154">Synopsis/ASG.py:154</a>: in class <a href="../Scopes/Synopsis/ASG/ModifierTypeId.html" >Synopsis.ASG.ModifierTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Module" /><h2 >Class Synopsis.ASG.Module</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Module.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#350">Synopsis/ASG.py:350</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#352">Synopsis/ASG.py:352</a>: Method <a href="../Scopes/Synopsis/ASG/Module.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#356">Synopsis/ASG.py:356</a>: Method <a href="../Scopes/Synopsis/ASG/Module.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Module.__init__" /><h2 >Method Synopsis.ASG.Module.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Module.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#352">Synopsis/ASG.py:352</a>: in class <a href="../Scopes/Synopsis/ASG/Module.html" >Synopsis.ASG.Module</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Module.accept" /><h2 >Method Synopsis.ASG.Module.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Module.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#356">Synopsis/ASG.py:356</a>: in class <a href="../Scopes/Synopsis/ASG/Module.html" >Synopsis.ASG.Module</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.NamedTypeId" /><h2 >Class Synopsis.ASG.NamedTypeId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/NamedTypeId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#72">Synopsis/ASG.py:72</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#77">Synopsis/ASG.py:77</a>: Attribute <a href="../Scopes/Synopsis/ASG/NamedTypeId.html#name" >name</a></li><li ><a href="../Source/Synopsis/ASG.py.html#75">Synopsis/ASG.py:75</a>: Method <a href="../Scopes/Synopsis/ASG/NamedTypeId.html#__init__" >__init__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.NamedTypeId.__init__" /><h2 >Method Synopsis.ASG.NamedTypeId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/NamedTypeId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#75">Synopsis/ASG.py:75</a>: in class <a href="../Scopes/Synopsis/ASG/NamedTypeId.html" >Synopsis.ASG.NamedTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Operation" /><h2 >Class Synopsis.ASG.Operation</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Operation.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#521">Synopsis/ASG.py:521</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#525">Synopsis/ASG.py:525</a>: Method <a href="../Scopes/Synopsis/ASG/Operation.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#528">Synopsis/ASG.py:528</a>: Method <a href="../Scopes/Synopsis/ASG/Operation.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Operation.__init__" /><h2 >Method Synopsis.ASG.Operation.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Operation.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#525">Synopsis/ASG.py:525</a>: in class <a href="../Scopes/Synopsis/ASG/Operation.html" >Synopsis.ASG.Operation</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Operation.accept" /><h2 >Method Synopsis.ASG.Operation.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Operation.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#528">Synopsis/ASG.py:528</a>: in class <a href="../Scopes/Synopsis/ASG/Operation.html" >Synopsis.ASG.Operation</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.OperationTemplate" /><h2 >Class Synopsis.ASG.OperationTemplate</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/OperationTemplate.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#531">Synopsis/ASG.py:531</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#535">Synopsis/ASG.py:535</a>: Attribute <a href="../Scopes/Synopsis/ASG/OperationTemplate.html#template" >template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#533">Synopsis/ASG.py:533</a>: Method <a href="../Scopes/Synopsis/ASG/OperationTemplate.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#537">Synopsis/ASG.py:537</a>: Method <a href="../Scopes/Synopsis/ASG/OperationTemplate.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.OperationTemplate.__init__" /><h2 >Method Synopsis.ASG.OperationTemplate.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/OperationTemplate.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#533">Synopsis/ASG.py:533</a>: in class <a href="../Scopes/Synopsis/ASG/OperationTemplate.html" >Synopsis.ASG.OperationTemplate</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.OperationTemplate.accept" /><h2 >Method Synopsis.ASG.OperationTemplate.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/OperationTemplate.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#537">Synopsis/ASG.py:537</a>: in class <a href="../Scopes/Synopsis/ASG/OperationTemplate.html" >Synopsis.ASG.OperationTemplate</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Parameter" /><h2 >Class Synopsis.ASG.Parameter</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Parameter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#468">Synopsis/ASG.py:468</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#472">Synopsis/ASG.py:472</a>: Attribute <a href="../Scopes/Synopsis/ASG/Parameter.html#premodifier" >premodifier</a></li><li ><a href="../Source/Synopsis/ASG.py.html#473">Synopsis/ASG.py:473</a>: Attribute <a href="../Scopes/Synopsis/ASG/Parameter.html#type" >type</a></li><li ><a href="../Source/Synopsis/ASG.py.html#474">Synopsis/ASG.py:474</a>: Attribute <a href="../Scopes/Synopsis/ASG/Parameter.html#postmodifier" >postmodifier</a></li><li ><a href="../Source/Synopsis/ASG.py.html#475">Synopsis/ASG.py:475</a>: Attribute <a href="../Scopes/Synopsis/ASG/Parameter.html#name" >name</a></li><li ><a href="../Source/Synopsis/ASG.py.html#476">Synopsis/ASG.py:476</a>: Attribute <a href="../Scopes/Synopsis/ASG/Parameter.html#value" >value</a></li><li ><a href="../Source/Synopsis/ASG.py.html#471">Synopsis/ASG.py:471</a>: Method <a href="../Scopes/Synopsis/ASG/Parameter.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#478">Synopsis/ASG.py:478</a>: Method <a href="../Scopes/Synopsis/ASG/Parameter.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#480">Synopsis/ASG.py:480</a>: Method <a href="../Scopes/Synopsis/ASG/Parameter.html#__cmp__" >__cmp__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#484">Synopsis/ASG.py:484</a>: Method <a href="../Scopes/Synopsis/ASG/Parameter.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Parameter.__cmp__" /><h2 >Method Synopsis.ASG.Parameter.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Parameter.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#480">Synopsis/ASG.py:480</a>: in class <a href="../Scopes/Synopsis/ASG/Parameter.html" >Synopsis.ASG.Parameter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Parameter.__init__" /><h2 >Method Synopsis.ASG.Parameter.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Parameter.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#471">Synopsis/ASG.py:471</a>: in class <a href="../Scopes/Synopsis/ASG/Parameter.html" >Synopsis.ASG.Parameter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Parameter.__str__" /><h2 >Method Synopsis.ASG.Parameter.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Parameter.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#484">Synopsis/ASG.py:484</a>: in class <a href="../Scopes/Synopsis/ASG/Parameter.html" >Synopsis.ASG.Parameter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Parameter.accept" /><h2 >Method Synopsis.ASG.Parameter.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Parameter.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#478">Synopsis/ASG.py:478</a>: in class <a href="../Scopes/Synopsis/ASG/Parameter.html" >Synopsis.ASG.Parameter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ParametrizedTypeId" /><h2 >Class Synopsis.ASG.ParametrizedTypeId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#184">Synopsis/ASG.py:184</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#190">Synopsis/ASG.py:190</a>: Attribute <a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html#template" >template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#191">Synopsis/ASG.py:191</a>: Attribute <a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html#parameters" >parameters</a></li><li ><a href="../Source/Synopsis/ASG.py.html#187">Synopsis/ASG.py:187</a>: Method <a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#193">Synopsis/ASG.py:193</a>: Method <a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#195">Synopsis/ASG.py:195</a>: Method <a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html#__cmp__" >__cmp__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#198">Synopsis/ASG.py:198</a>: Method <a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ParametrizedTypeId.__cmp__" /><h2 >Method Synopsis.ASG.ParametrizedTypeId.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#195">Synopsis/ASG.py:195</a>: in class <a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html" >Synopsis.ASG.ParametrizedTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ParametrizedTypeId.__init__" /><h2 >Method Synopsis.ASG.ParametrizedTypeId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#187">Synopsis/ASG.py:187</a>: in class <a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html" >Synopsis.ASG.ParametrizedTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ParametrizedTypeId.__str__" /><h2 >Method Synopsis.ASG.ParametrizedTypeId.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#198">Synopsis/ASG.py:198</a>: in class <a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html" >Synopsis.ASG.ParametrizedTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.ParametrizedTypeId.accept" /><h2 >Method Synopsis.ASG.ParametrizedTypeId.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#193">Synopsis/ASG.py:193</a>: in class <a href="../Scopes/Synopsis/ASG/ParametrizedTypeId.html" >Synopsis.ASG.ParametrizedTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Scope" /><h2 >Class Synopsis.ASG.Scope</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Scope.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#339">Synopsis/ASG.py:339</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#345">Synopsis/ASG.py:345</a>: Attribute <a href="../Scopes/Synopsis/ASG/Scope.html#declarations" >declarations</a></li><li ><a href="../Source/Synopsis/ASG.py.html#342">Synopsis/ASG.py:342</a>: Method <a href="../Scopes/Synopsis/ASG/Scope.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#347">Synopsis/ASG.py:347</a>: Method <a href="../Scopes/Synopsis/ASG/Scope.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Scope.__init__" /><h2 >Method Synopsis.ASG.Scope.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Scope.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#342">Synopsis/ASG.py:342</a>: in class <a href="../Scopes/Synopsis/ASG/Scope.html" >Synopsis.ASG.Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Scope.accept" /><h2 >Method Synopsis.ASG.Scope.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Scope.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#347">Synopsis/ASG.py:347</a>: in class <a href="../Scopes/Synopsis/ASG/Scope.html" >Synopsis.ASG.Scope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.TemplateId" /><h2 >Class Synopsis.ASG.TemplateId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/TemplateId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#131">Synopsis/ASG.py:131</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#137">Synopsis/ASG.py:137</a>: Attribute <a href="../Scopes/Synopsis/ASG/TemplateId.html#parameters" >parameters</a></li><li ><a href="../Source/Synopsis/ASG.py.html#134">Synopsis/ASG.py:134</a>: Method <a href="../Scopes/Synopsis/ASG/TemplateId.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#138">Synopsis/ASG.py:138</a>: Method <a href="../Scopes/Synopsis/ASG/TemplateId.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#139">Synopsis/ASG.py:139</a>: Method <a href="../Scopes/Synopsis/ASG/TemplateId.html#__cmp__" >__cmp__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#142">Synopsis/ASG.py:142</a>: Method <a href="../Scopes/Synopsis/ASG/TemplateId.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.TemplateId.__cmp__" /><h2 >Method Synopsis.ASG.TemplateId.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/TemplateId.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#139">Synopsis/ASG.py:139</a>: in class <a href="../Scopes/Synopsis/ASG/TemplateId.html" >Synopsis.ASG.TemplateId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.TemplateId.__init__" /><h2 >Method Synopsis.ASG.TemplateId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/TemplateId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#134">Synopsis/ASG.py:134</a>: in class <a href="../Scopes/Synopsis/ASG/TemplateId.html" >Synopsis.ASG.TemplateId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.TemplateId.__str__" /><h2 >Method Synopsis.ASG.TemplateId.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/TemplateId.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#142">Synopsis/ASG.py:142</a>: in class <a href="../Scopes/Synopsis/ASG/TemplateId.html" >Synopsis.ASG.TemplateId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.TemplateId.accept" /><h2 >Method Synopsis.ASG.TemplateId.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/TemplateId.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#138">Synopsis/ASG.py:138</a>: in class <a href="../Scopes/Synopsis/ASG/TemplateId.html" >Synopsis.ASG.TemplateId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.TypeId" /><h2 >Class Synopsis.ASG.TypeId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/TypeId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#58">Synopsis/ASG.py:58</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#62">Synopsis/ASG.py:62</a>: Attribute <a href="../Scopes/Synopsis/ASG/TypeId.html#language" >language</a></li><li ><a href="../Source/Synopsis/ASG.py.html#61">Synopsis/ASG.py:61</a>: Method <a href="../Scopes/Synopsis/ASG/TypeId.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#64">Synopsis/ASG.py:64</a>: Method <a href="../Scopes/Synopsis/ASG/TypeId.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#68">Synopsis/ASG.py:68</a>: Method <a href="../Scopes/Synopsis/ASG/TypeId.html#__cmp__" >__cmp__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.TypeId.__cmp__" /><h2 >Method Synopsis.ASG.TypeId.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/TypeId.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#68">Synopsis/ASG.py:68</a>: in class <a href="../Scopes/Synopsis/ASG/TypeId.html" >Synopsis.ASG.TypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.TypeId.__init__" /><h2 >Method Synopsis.ASG.TypeId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/TypeId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#61">Synopsis/ASG.py:61</a>: in class <a href="../Scopes/Synopsis/ASG/TypeId.html" >Synopsis.ASG.TypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.TypeId.accept" /><h2 >Method Synopsis.ASG.TypeId.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/TypeId.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#64">Synopsis/ASG.py:64</a>: in class <a href="../Scopes/Synopsis/ASG/TypeId.html" >Synopsis.ASG.TypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Typedef" /><h2 >Class Synopsis.ASG.Typedef</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Typedef.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#409">Synopsis/ASG.py:409</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#413">Synopsis/ASG.py:413</a>: Attribute <a href="../Scopes/Synopsis/ASG/Typedef.html#alias" >alias</a></li><li ><a href="../Source/Synopsis/ASG.py.html#414">Synopsis/ASG.py:414</a>: Attribute <a href="../Scopes/Synopsis/ASG/Typedef.html#constr" >constr</a></li><li ><a href="../Source/Synopsis/ASG.py.html#411">Synopsis/ASG.py:411</a>: Method <a href="../Scopes/Synopsis/ASG/Typedef.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#416">Synopsis/ASG.py:416</a>: Method <a href="../Scopes/Synopsis/ASG/Typedef.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Typedef.__init__" /><h2 >Method Synopsis.ASG.Typedef.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Typedef.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#411">Synopsis/ASG.py:411</a>: in class <a href="../Scopes/Synopsis/ASG/Typedef.html" >Synopsis.ASG.Typedef</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Typedef.accept" /><h2 >Method Synopsis.ASG.Typedef.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Typedef.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#416">Synopsis/ASG.py:416</a>: in class <a href="../Scopes/Synopsis/ASG/Typedef.html" >Synopsis.ASG.Typedef</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UnknownTypeId" /><h2 >Class Synopsis.ASG.UnknownTypeId</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UnknownTypeId.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#101">Synopsis/ASG.py:101</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#103">Synopsis/ASG.py:103</a>: Class attribute <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#base" >base</a></li><li ><a href="../Source/Synopsis/ASG.py.html#106">Synopsis/ASG.py:106</a>: Attribute <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#link" >link</a></li><li ><a href="../Source/Synopsis/ASG.py.html#104">Synopsis/ASG.py:104</a>: Method <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#107">Synopsis/ASG.py:107</a>: Method <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#resolve" >resolve</a></li><li ><a href="../Source/Synopsis/ASG.py.html#112">Synopsis/ASG.py:112</a>: Method <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/ASG.py.html#113">Synopsis/ASG.py:113</a>: Method <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#__cmp__" >__cmp__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#116">Synopsis/ASG.py:116</a>: Method <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#__str__" >__str__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UnknownTypeId.__cmp__" /><h2 >Method Synopsis.ASG.UnknownTypeId.__cmp__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#__cmp__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#113">Synopsis/ASG.py:113</a>: in class <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html" >Synopsis.ASG.UnknownTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UnknownTypeId.__init__" /><h2 >Method Synopsis.ASG.UnknownTypeId.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#104">Synopsis/ASG.py:104</a>: in class <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html" >Synopsis.ASG.UnknownTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UnknownTypeId.__str__" /><h2 >Method Synopsis.ASG.UnknownTypeId.__str__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#__str__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#116">Synopsis/ASG.py:116</a>: in class <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html" >Synopsis.ASG.UnknownTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UnknownTypeId.accept" /><h2 >Method Synopsis.ASG.UnknownTypeId.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#112">Synopsis/ASG.py:112</a>: in class <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html" >Synopsis.ASG.UnknownTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UnknownTypeId.resolve" /><h2 >Method Synopsis.ASG.UnknownTypeId.resolve</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UnknownTypeId.html#resolve" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#107">Synopsis/ASG.py:107</a>: in class <a href="../Scopes/Synopsis/ASG/UnknownTypeId.html" >Synopsis.ASG.UnknownTypeId</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UsingDeclaration" /><h2 >Class Synopsis.ASG.UsingDeclaration</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UsingDeclaration.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#280">Synopsis/ASG.py:280</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#286">Synopsis/ASG.py:286</a>: Attribute <a href="../Scopes/Synopsis/ASG/UsingDeclaration.html#alias" >alias</a></li><li ><a href="../Source/Synopsis/ASG.py.html#283">Synopsis/ASG.py:283</a>: Method <a href="../Scopes/Synopsis/ASG/UsingDeclaration.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#288">Synopsis/ASG.py:288</a>: Method <a href="../Scopes/Synopsis/ASG/UsingDeclaration.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UsingDeclaration.__init__" /><h2 >Method Synopsis.ASG.UsingDeclaration.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UsingDeclaration.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#283">Synopsis/ASG.py:283</a>: in class <a href="../Scopes/Synopsis/ASG/UsingDeclaration.html" >Synopsis.ASG.UsingDeclaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UsingDeclaration.accept" /><h2 >Method Synopsis.ASG.UsingDeclaration.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UsingDeclaration.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#288">Synopsis/ASG.py:288</a>: in class <a href="../Scopes/Synopsis/ASG/UsingDeclaration.html" >Synopsis.ASG.UsingDeclaration</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UsingDirective" /><h2 >Class Synopsis.ASG.UsingDirective</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UsingDirective.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#274">Synopsis/ASG.py:274</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#277">Synopsis/ASG.py:277</a>: Method <a href="../Scopes/Synopsis/ASG/UsingDirective.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.UsingDirective.accept" /><h2 >Method Synopsis.ASG.UsingDirective.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/UsingDirective.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#277">Synopsis/ASG.py:277</a>: in class <a href="../Scopes/Synopsis/ASG/UsingDirective.html" >Synopsis.ASG.UsingDirective</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Variable" /><h2 >Class Synopsis.ASG.Variable</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Variable.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#446">Synopsis/ASG.py:446</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#451">Synopsis/ASG.py:451</a>: Attribute <a href="../Scopes/Synopsis/ASG/Variable.html#vtype" >vtype</a></li><li ><a href="../Source/Synopsis/ASG.py.html#452">Synopsis/ASG.py:452</a>: Attribute <a href="../Scopes/Synopsis/ASG/Variable.html#constr" >constr</a></li><li ><a href="../Source/Synopsis/ASG.py.html#449">Synopsis/ASG.py:449</a>: Method <a href="../Scopes/Synopsis/ASG/Variable.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/ASG.py.html#454">Synopsis/ASG.py:454</a>: Method <a href="../Scopes/Synopsis/ASG/Variable.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Variable.__init__" /><h2 >Method Synopsis.ASG.Variable.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Variable.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#449">Synopsis/ASG.py:449</a>: in class <a href="../Scopes/Synopsis/ASG/Variable.html" >Synopsis.ASG.Variable</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Variable.accept" /><h2 >Method Synopsis.ASG.Variable.accept</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Variable.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#454">Synopsis/ASG.py:454</a>: in class <a href="../Scopes/Synopsis/ASG/Variable.html" >Synopsis.ASG.Variable</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor" /><h2 >Class Synopsis.ASG.Visitor</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#540">Synopsis/ASG.py:540</a>: in module <a href="../Scopes/Synopsis/ASG.html" >Synopsis.ASG</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/ASG.py.html#543">Synopsis/ASG.py:543</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_builtin_type_id" >visit_builtin_type_id</a></li><li ><a href="../Source/Synopsis/ASG.py.html#544">Synopsis/ASG.py:544</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_unknown_type_id" >visit_unknown_type_id</a></li><li ><a href="../Source/Synopsis/ASG.py.html#545">Synopsis/ASG.py:545</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_declared_type_id" >visit_declared_type_id</a></li><li ><a href="../Source/Synopsis/ASG.py.html#546">Synopsis/ASG.py:546</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_modifier_type_id" >visit_modifier_type_id</a></li><li ><a href="../Source/Synopsis/ASG.py.html#547">Synopsis/ASG.py:547</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_array_type_id" >visit_array_type_id</a></li><li ><a href="../Source/Synopsis/ASG.py.html#548">Synopsis/ASG.py:548</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_template_id" >visit_template_id</a></li><li ><a href="../Source/Synopsis/ASG.py.html#549">Synopsis/ASG.py:549</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_parametrized_type_id" >visit_parametrized_type_id</a></li><li ><a href="../Source/Synopsis/ASG.py.html#550">Synopsis/ASG.py:550</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_function_type_id" >visit_function_type_id</a></li><li ><a href="../Source/Synopsis/ASG.py.html#551">Synopsis/ASG.py:551</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_dependent_type_id" >visit_dependent_type_id</a></li><li ><a href="../Source/Synopsis/ASG.py.html#553">Synopsis/ASG.py:553</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/ASG.py.html#554">Synopsis/ASG.py:554</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_builtin" >visit_builtin</a></li><li ><a href="../Source/Synopsis/ASG.py.html#558">Synopsis/ASG.py:558</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_using_directive" >visit_using_directive</a></li><li ><a href="../Source/Synopsis/ASG.py.html#559">Synopsis/ASG.py:559</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_using_declaration" >visit_using_declaration</a></li><li ><a href="../Source/Synopsis/ASG.py.html#560">Synopsis/ASG.py:560</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_macro" >visit_macro</a></li><li ><a href="../Source/Synopsis/ASG.py.html#561">Synopsis/ASG.py:561</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_forward" >visit_forward</a></li><li ><a href="../Source/Synopsis/ASG.py.html#562">Synopsis/ASG.py:562</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_group" >visit_group</a></li><li ><a href="../Source/Synopsis/ASG.py.html#565">Synopsis/ASG.py:565</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_scope" >visit_scope</a></li><li ><a href="../Source/Synopsis/ASG.py.html#568">Synopsis/ASG.py:568</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_module" >visit_module</a></li><li ><a href="../Source/Synopsis/ASG.py.html#569">Synopsis/ASG.py:569</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_meta_module" >visit_meta_module</a></li><li ><a href="../Source/Synopsis/ASG.py.html#570">Synopsis/ASG.py:570</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_class" >visit_class</a></li><li ><a href="../Source/Synopsis/ASG.py.html#571">Synopsis/ASG.py:571</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_class_template" >visit_class_template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#572">Synopsis/ASG.py:572</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_typedef" >visit_typedef</a></li><li ><a href="../Source/Synopsis/ASG.py.html#573">Synopsis/ASG.py:573</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_enumerator" >visit_enumerator</a></li><li ><a href="../Source/Synopsis/ASG.py.html#574">Synopsis/ASG.py:574</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_enum" >visit_enum</a></li><li ><a href="../Source/Synopsis/ASG.py.html#580">Synopsis/ASG.py:580</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_variable" >visit_variable</a></li><li ><a href="../Source/Synopsis/ASG.py.html#581">Synopsis/ASG.py:581</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_const" >visit_const</a></li><li ><a href="../Source/Synopsis/ASG.py.html#582">Synopsis/ASG.py:582</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_function" >visit_function</a></li><li ><a href="../Source/Synopsis/ASG.py.html#585">Synopsis/ASG.py:585</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_function_template" >visit_function_template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#586">Synopsis/ASG.py:586</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_operation" >visit_operation</a></li><li ><a href="../Source/Synopsis/ASG.py.html#587">Synopsis/ASG.py:587</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_operation_template" >visit_operation_template</a></li><li ><a href="../Source/Synopsis/ASG.py.html#588">Synopsis/ASG.py:588</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_parameter" >visit_parameter</a></li><li ><a href="../Source/Synopsis/ASG.py.html#589">Synopsis/ASG.py:589</a>: Method <a href="../Scopes/Synopsis/ASG/Visitor.html#visit_inheritance" >visit_inheritance</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.ASG.Visitor.visit_array_type_id" /><h2 >Method Synopsis.ASG.Visitor.visit_array_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/ASG/Visitor.html#visit_array_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/ASG.py.html#547">Synopsis/ASG.py:547</a>: in class <a href="../Scopes/Synopsis/ASG/Visitor.html" >Synopsis.ASG.Visitor</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
